## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: cfitsio
Version: 4.3.1
Release: %autorelease
Summary: Library for manipulating FITS data files

License: CFITSIO
URL: http://heasarc.gsfc.nasa.gov/fitsio/
Source0: http://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio-%{version}.tar.gz
# Remove soname version check
Patch1: cfitsio-noversioncheck.patch
# Some rearrangements in pkg-config file
Patch2: cfitsio-pkgconfig.patch
# Use builder linker flags
Patch3: cfitsio-ldflags.patch
# Remove rpath
Patch4: cfitsio-remove-rpath.patch

BuildRequires: gcc-gfortran
BuildRequires: make
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: curl-devel
##BuildRequires: pkgconfig(curl)

%description
CFITSIO is a library of C and FORTRAN subroutines for reading and writing 
data files in FITS (Flexible Image Transport System) data format. CFITSIO 
simplifies the task of writing software that deals with FITS files by 
providing an easy to use set of high-level routines that insulate the 
programmer from the internal complexities of the FITS file format. At the 
same time, CFITSIO provides many advanced features that have made it the 
most widely used FITS file programming interface in the astronomical 
community.

%package devel
Summary: Headers required when building programs against cfitsio
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers required when building a program against the cfitsio library.

%package static
Summary: Static cfitsio library

%description static
Static cfitsio library; avoid use if possible.

%package docs
Summary: Documentation for cfitsio
BuildArch:  noarch

%description docs
Stand-alone documentation for cfitsio.

%package -n fpack
Summary: FITS image compression and decompression utilities
Requires: %{name} = %{version}-%{release}

%description -n fpack
fpack optimally compresses FITS format images and funpack restores them
to the original state.

* Integer format images are losslessly compressed using the Rice
compression algorithm.
    * typically 30% better compression than GZIP
    * about 3 times faster compression speed than GZIP
    * about the same uncompression speed as GUNZIP 

* Floating-point format images are compressed with a lossy algorithm
    * truncates the image pixel noise by a user-specified amount to
      produce much higher compression than by lossless techniques
    * the precision of scientific measurements in the compressed image
      (relative to those in the original image) depends on the selected
       amount of compression

%prep
%autosetup -p1

%build
%configure --enable-reentrant -with-bzip2
make shared
make fpack funpack

%check
make testprog
LD_LIBRARY_PATH=. ./testprog > testprog.lis
cmp -s testprog.lis testprog.out
cmp -s testprog.fit testprog.std

%install
%make_install LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir}/%{name} \
 CFITSIO_LIB=%{buildroot}%{_libdir} \
 CFITSIO_INCLUDE=%{buildroot}%{_includedir}/%{name}
cp -p f{,un}pack %{buildroot}%{_bindir}

chmod 755 %{buildroot}%{_libdir}/libcfitsio.so.*
chmod 755 %{buildroot}%{_bindir}/f{,un}pack


%ldconfig_scriptlets

%files
%doc README License.txt docs/changes.txt
%{_libdir}/libcfitsio.so.10*

%files devel
%doc cookbook.*
%{_includedir}/%{name}
%{_libdir}/libcfitsio.so
%{_libdir}/pkgconfig/cfitsio.pc

%files static
%doc License.txt
%{_libdir}/libcfitsio.a

%files docs
%doc docs/fitsio.doc docs/fitsio.pdf docs/cfitsio.pdf License.txt

%files -n fpack
%doc docs/fpackguide.pdf License.txt
%{_bindir}/fpack
%{_bindir}/funpack

%changelog
* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 26 2023 Sergio Pascual <sergiopr@fedoraproject.org> - 4.3.1-1
- New upstream version 4.3.1

* Mon Aug 28 2023 Sergio Pascual <sergiopr@fedoraproject.org> - 4.3.0-1
- New upstream version 4.3.0

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Sergio Pascual <sergiopr@fedoraproject.org> - 4.2.0-5
- Use SPDX License

* Tue Jul 11 2023 Sergio Pascual <sergiopr@fedoraproject.org> - 4.2.0-4
- Use SPDX License

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Kalev Lember <klember@redhat.com> - 4.2.0-2
- Use make_install macro

* Fri Dec 16 2022 Sergio Pascual <sergiopr@fedoraproject.org> - 4.2.0-1
- New upstream version 4.2.0

* Fri Aug 26 2022 Orion Poplawski <orion@nwra.com> - 4.1.0-2
- sources

* Wed Aug 24 2022 Orion Poplawski <orion@nwra.com> - 4.1.0-1
- Update to 4.1.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 05 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 4.0.0-1
- New upstream version 4.0.0

* Sun Aug 01 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 3.490-7
- Remove rpath in utilities

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.490-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.490-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.490-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> - 3.490-3
- Add BuildRequires: make

* Sat Sep 19 2020 Jeff Law <law@redhat.com> - 3.490-2
- Update sources

* Fri Sep 11 2020 Sergio Pascual <sergiopr@fedoraproject.org> - 3.490-1
- Update to 3.490

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.470-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.470-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Sergio Pascual <sergiopr@fedoraproject.org> - 3.470-1
- Update to 3.470 Patch to revert bogus soname increase Patch to fix
  fprintf format errors

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.450-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Apr 19 2019 Orion Poplawski <orion@nwra.com> - 3.450-6
- Be explicit with soname

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.450-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.450-4
- Remove obsolete Group tag

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.450-3
- Remove obsolete ldconfig scriptlets

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.450-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 23 2018 Sergio Pascual <sergiopr@fedoraproject.org> - 3.450-1
- Update to 3.450 (fixes bz #1570484) Patch to use LDFLAGS (fixes bz
  #1547590)

* Mon Mar 12 2018 Christian Dersch <lupinix@fedoraproject.org> - 3.430-2
- removed docs/cfitsio.doc from docs, removed upstream

* Mon Mar 12 2018 Christian Dersch <lupinix@fedoraproject.org> - 3.430-1
- new version

* Fri Feb 23 2018 Christian Dersch <lupinix@mailbox.org> - 3.420-2
- update sources

* Fri Feb 23 2018 Christian Dersch <lupinix@mailbox.org> - 3.420-1
- new version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.370-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 02 2017 Christian Dersch <lupinix@mailbox.org> - 3.370-11
- backported fix for hcompress

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.370-10
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.370-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.370-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 3.370-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 3.370-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 3.370-5
- Remove glibc-headers from devel requires (fixes bz #1230471)

* Thu Sep 18 2014 Orion Poplawski <orion@cora.nwra.com> - 3.370-4
- Fix changelog date

* Thu Sep 18 2014 Orion Poplawski <orion@cora.nwra.com> - 3.370-3
- Ship cookbook example in -devel docs

* Fri Aug 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 3.370-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 3.370-1
- New upstream (3.370)
- Patches for ppc64le and aarch64 added upstream

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 3.360-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 15 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 3.360-3
- Add ppc64le support (bz #1097248).

* Tue Apr 15 2014 Peter Robinson <pbrobinson@gmail.com> - 3.360-2
- Add AArch64 support

* Mon Dec 09 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.360-1
- New upstream (3.360)

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 3.350-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.350-3
- Recover namespaced include

* Wed Jul 10 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.350-2
- Added cfitsio-pkgconfig patch

* Thu Jul 04 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.350-1
- New upstream source (3.350)
- Upstream provides soname
- Removed namespaced includedir (not in upstream)
- pkgconfig file rearrangement now a patch instead of using sed

* Fri Mar 22 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.340-1
- New upstream source

* Tue Mar 19 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.330-4
- Using libcfitsio-version.so.0 as soname

* Tue Mar 19 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.330-3
- Fixed permissions of libcfitsio and fpack, funpack

* Sun Mar 17 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.330-2
- Soname contains full package version (upstream doesn't track API changes)

* Mon Mar 11 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.330-1
- New upstream version
- Reverted the patch removing run time check

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 3.310-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 30 2012 Pasrario <harenawer@zoho.com> - 3.310-4
- Modified patches

* Wed Aug 29 2012 Pasrario <harenawer@zoho.com> - 3.310-3
- Fixed wrong release

* Wed Aug 29 2012 Pasrario <harenawer@zoho.com> - 3.310-2
- Removed check at runtime of the version of the program

* Wed Aug 29 2012 Pasrario <harenawer@zoho.com> - 3.310-1
- New upstream version

* Wed Jul 18 2012 Dennis Gilmore <dennis@ausil.us> - 3.300-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 24 2012 Sergio Pascual <sergiopr@fis.ucm.es> - 3.300-3
- Updated to 3.300
- Reorganized patches (zlib patch was lost somehow)

* Fri Apr 13 2012 Orion Poplawski <orion@cora.nwra.com> - 3.300-2
- Link with pthread as well

* Fri Apr 13 2012 Orion Poplawski <orion@cora.nwra.com> - 3.300-1
- Update to 3.300 beta - Drop s390 patch applied upstream - Rebase makefile
  and zlib patches

* Mon Jan 16 2012 Orion Poplawski <orion@cora.nwra.com> - 3.290-4
- Drop incluedir mod in package config file (bug #782213)

* Fri Jan 06 2012 Sergio Pascual <sergiopr@fis.ucm.es> - 3.290-3
- Adding the libz patch

* Fri Jan 06 2012 Sergio Pascual <sergiopr@fis.ucm.es> - 3.290-2
- Using system libz

* Mon Dec 05 2011 Sergio Pascual <sergiopr@fis.ucm.es> - 3.290-1
- New upstream version Reorganizing patches

* Thu Nov 24 2011 Sergio Pascual <sergio.pasra@gmail.com> - 3.280-2
- Enable multithreading support

* Thu Jun 09 2011 Sergio Pascual <sergiopr@fis.ucm.es> - 3.280-1
- New upstream version, with improved image compression floating-point FITS

* Wed Apr 20 2011 Matthew D Truch <matt@truch.net> - 3.270-1
- Update to 2.70 upstream bugfix (and feature) release.

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 3.250-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Matthew D Truch <matt@truch.net> - 3.250-6
- Include a fully versioned dependancy on cfitsio for fpack.

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.250-5
- dist-git conversion

* Mon Jul 26 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.250-4
- Fix cfistio.pc file for incorrect include path as per RH BZ 618291.

* Sun Jul 25 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.250-3
- Provide fpack and funpack executables in separate fpack package. Thanks
  to Orion for doing all the work.

* Wed Jul 07 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.250-2
- Include licese text in -static and -docs subpackages.

* Sun Jul 04 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.250-1
- Upstream 2.250 bugfix release.

* Wed Jun 30 2010 Karsten Hopp <karsten@fedoraproject.org> - 3.240-4
- add s390(x) as bigendian machines

* Sun Feb 21 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.240-3
- Pkgconfig file has incorrect version number.

* Sat Feb 20 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.240-2
- Bump for rebuild.

* Wed Jan 27 2010 Matthew D Truch <mtruch@fedoraproject.org> - 3.240-1
- Update to upstream release.

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 3.210-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Nov 02 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.210-2
- Reintroduce accidentally removed patch which fixes soname during library
  build.

* Tue Oct 20 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.210-1
- Update to upstream release (new features, thread safe library, bugfixes).

* Fri Jul 24 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.140-4
- Built now.

* Fri Jul 24 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.140-3
- Bump everything.

* Fri Jul 24 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.140-2
- Actually include tarball.

* Wed Jul 22 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.140-1
- Upgrade cfitsio to match current upstream release.

* Tue Jul 21 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-7
- Rational for no auto build of cfitsio just yet.

* Thu Jun 18 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-6
- Split most docs into -docs subpackage.

* Tue Mar 10 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-5
- Put correct version number in pkgconfig file.

* Mon Feb 23 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-4
- Re-check test output.

* Sat Feb 21 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-3
- Add noautobuild.

* Thu Feb 05 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-2
- Fix source name typo

* Thu Feb 05 2009 Matthew D Truch <mtruch@fedoraproject.org> - 3.130-1
- Update to 3.130 upstream.

* Sat Sep 20 2008 Matthew D Truch <mtruch@fedoraproject.org> - 3.100-2
- Run test-suite.

* Fri Sep 19 2008 Matthew D Truch <mtruch@fedoraproject.org> - 3.100-1
- Update to upstream 3.100.

* Fri Mar 07 2008 Matthew D Truch <mtruch@fedoraproject.org> - 3.060-3
- Fix pkgconfig files with sed. BZ 436539

* Mon Feb 11 2008 Matthew D Truch <mtruch@fedoraproject.org> - 3.060-2
- Bump for rebuild.

* Fri Nov 09 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.060-1
- Upgrade to cfitsio 3.060 bigfix release. Include a -static package (BZ
  372801)

* Tue Aug 21 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.040-3
- Bump for rebuild

* Thu Aug 02 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.040-2
- Update license tag. cfitsio is GPLv2+

* Mon Jul 09 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.040-1
- Upgrade to cfitsio 3.040

* Sat Feb 17 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.030-2
- Don't let configure clobber CFLAGS so we get useful debuginfo packages.
  Bugzilla 229041

* Mon Jan 08 2007 Matthew D Truch <mtruch@fedoraproject.org> - 3.030-1
- Upgrade cfistio to 3.030

* Thu Dec 07 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.020-3
- Need the corrected patch file.

* Thu Dec 07 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.020-2
- Fix up spec file to fix rpmbuild errors, ie install to the correct
  directories.

* Tue Dec 05 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.020-1
- Upgrade to cfitsio 3.020 release.

* Mon Aug 28 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-8
- Rebuild for FC6

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 3.006-7
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Thu Mar 30 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-6
- Forgot to include %%defattr() for the devel pacakge. Surprized this was
  missed for so long. Bugzilla bug 187366

* Mon Mar 20 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-5
- I know editing a changelog after the fact is wrong, but I had to get rid
  of the macros as they were screwing up many things. I originally thought
  that after the start of the changlog section, everything was treated as
  text and macros were not expanded. I was wrong. :-(

* Sun Mar 19 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-4
- Fix references to %%{buildroot} so they aren't in %%build; only in
  %%install.

* Fri Mar 10 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-3
- Have build point to existant f95 rather than non-existant g95. Bugzilla
  Bug 185107

* Tue Feb 28 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-2
- Spelling of License.txt was fixed upstream, and now fixed in spec file.

* Tue Feb 28 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.006-1
- Update to new cfitsio 3.006 upstream release.

* Tue Feb 28 2006 Matthew D Truch <mtruch@fedoraproject.org> - 3.005-2
- Bump revision number for -devel rebuild (and sync up spec files)

* Fri Dec 23 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.005-1
- Bring cfitsio up to 3.005beta

* Mon Nov 14 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-6
- Use proper entries for URL: and Source:

* Sun Nov 13 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-5
- Cleaned up spec (removed dead code).

* Sun Nov 13 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-4
- auto-import cfitsio-3.004-0.10.b on branch devel from
  cfitsio-3.004-0.10.b.src.rpm

* Sun Nov 13 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-3
- Set lib and include directories manually since configure doesn't let one
  bypass the hardcoded defaults.

* Sun Nov 13 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-2
- auto-import cfitsio-3.004-0.8.b on branch devel from
  cfitsio-3.004-0.8.b.src.rpm Spec file fixes as per bug 172042

* Sun Nov 13 2005 Matthew D Truch <mtruch@fedoraproject.org> - 3.004-1
- auto-import cfitsio-3.004-0.6.b on branch devel from
  cfitsio-3.004-0.6.b.src.rpm
